<?php
######################################################################
# PHP-NUKE: Web Portal System: WAP Add-on
# ===========================================
#
# This module is to view the last NukeCalendar v1.1 events via WAP 
# mobile phone.
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
#
# Copyright (c) 2000 Matthias Ehrmann (matthias.ehrmann@gmx.de)
# See also www.nikolai-jugend.de
######################################################################

if (!eregi("modules.php", $PHP_SELF)) {
	die ("You can't access this file directly...");
}
require_once("mainfile.php");
$module_name = basename(dirname(__FILE__));
include_once("modules/$module_name/config.php");

##########################################################################
# NukeCalendar initialization 
##########################################################################
global $currentlang, $language, $lang, $prefix, $dbi, $locale;
if (isset($currentlang)) {$xlang = $currentlang;}
elseif (isset($lang)) {$xlang = $lang;}
else {$xlang = $language;}
if (file_exists("language/kalender/lang-$xlang.php")) {	include_once("language/kalender/lang-$xlang.php"); } 
else { include_once("language/kalender/lang-english.php");}

##########################################################################
# WAP Header
##########################################################################
header("Content-Type: text/vnd.wap.wml");
header("Cache-Control: no-cache, must-revalidate");	        // Prevent caching, HTTP/1.1
header("Pragma: no-cache");		                        // Prevent caching, HTTP/1.0
echo "<?xml version=\"1.0\"?>"
     ."<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.1//EN\" \"http://www.wapforum.org/DTD/wml_1.1.xml\">"
     ."<wml>"
     ."<head><meta forua=\"true\" http-equiv=\"Cache-Control\" content=\"max-age=300\"/></head>"
     ."<card title=\""._CAL2EVENT."\">";

##########################################################################
# WAP Body - list a limited number of events 
##########################################################################
setlocale (LC_TIME, _CALLOCALE);
$Date = Date("m/d/Y");
$m = (int)Date("m");
$d = (int)Date("d");
$y = (int)Date("Y");
$theMonth = strftime(_CALMONTHDATEFORMAT, mktime(0, 0, 0, $m, $d, $y));

/**** Get the Day (Integer) for the first day in the month */
$First_Day_of_Month_Date = mktime("", "", "", $m, 1, $y);
$Date = $First_Day_of_Month_Date;
$Day_of_First_Week = Date("w",$First_Day_of_Month_Date)-_CALWEEKBEGINN;
if ($Day_of_First_Week<0) $Day_of_First_Week=6;

/**** Find the last day of the month */
$Month = Date("m",$Date);
$day = 27;
do {
	$End_of_Month_Date = mktime("", "", "", $m, $day, $y);
	$Test_Month = Date("m",$End_of_Month_Date);
	$day += 1;
} while ( $Month == $Test_Month );

$Last_Day = $day - 2;
$qrydate = "$y-$m-$d";

/*** are there any events in the next time ? */
$qry="SELECT count(eid) FROM ".$prefix."_events WHERE (eventDate>= '$qrydate' or endDate>= '$qrydate')";
list($icount) = sql_fetch_row(sql_query($qry, $dbi), $dbi);
if ($icount>$wapMaxNrEvents) $icount=$wapMaxNrEvents;

/*** if there are events, print out the events */
if ($icount) {
	$qry="SELECT eid, aid, title, hometext, time, topic, informant, year(eventDate), month(eventDate), dayofmonth(eventDate), hour(startTime), minute(startTime), year(endDate), month(endDate), dayofmonth(endDate), hour(endTime), minute(endTime), alldayevent, barcolor FROM ".$prefix."_events WHERE (eventDate>= '$qrydate' or endDate>= '$qrydate') order by eventDate asc, endDate asc limit 0,$icount";
	$result=sql_query($qry, $dbi);
	while(list($eid, $postadmin, $subject, $hometext, $datePosted, $topic, $informant, $y1, $m1, $d1, $h1, $mi1, $y2, $m2, $d2, $h2, $mi2, $alldayevent, $barcolor) = sql_fetch_row($result, $dbi)) {
		$dateStart = strftime(_CALSHORTDATEFORMAT, mktime(0, 0, 0, $m1, $d1, $y1));
		$orgDateStart = $dateStart;
		if ($listStarttime && !$alldayevent) {
			$dateStart.= " ".strftime(_CALTIMEFORMAT, mktime($h1, $mi1, 0, $m1, $d1, $y1));
		}
		if ($listEnddate) {
			$dateEnd = strftime(_CALSHORTDATEFORMAT, mktime(0, 0, 0, $m2, $d2, $y2));
			if ($dateEnd == $orgDateStart) $dateEnd = "";
		}
		else {
			$dateEnd = "";
		}
		if ($listEndtime && !$alldayevent) {
			$dateEnd.= " ".strftime(_CALTIMEFORMAT, mktime($h2, $mi2, 0, $m2, $d2, $y2));
		}
		if ($i==0) { $i=1; }
		else { $i=0; }
		echo "<p><a href=\"$nukeurl/modules.php?name=Wap&amp;file=print_event&amp;eid=$eid\">";
		if ($dateEnd != "") {
			echo "$dateStart - $dateEnd : ";
		}
		else {
			echo "$dateStart : ";
		}
		echo "$subject</a><br/></p>";
	}
	if (function_exists("sql_free_result")) sql_free_result($result);
}
else {
	echo "<p>"._CALNOTODAYEVENTS."</p>";
}

##########################################################################
# WAP Closure
##########################################################################
echo "</card></wml>";

?>