<?php
######################################################################
# PHP-NUKE: Web Portal System: WAP Add-on
# ===========================================
#
# This module is to view details for a NukeCalendar event via WAP 
# mobile phone.
#
# This program is free software. You can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License.
#
# Copyright (c) 2000 Matthias Ehrmann (matthias.ehrmann@gmx.de)
# See also www.nikolai-jugend.de
######################################################################

if (!eregi("modules.php", $PHP_SELF)) {
	die ("You can't access this file directly...");
}
require_once("mainfile.php");
$module_name = basename(dirname(__FILE__));
include_once("modules/$module_name/config.php");

if(!isset($eid)) {
    exit();
}

##########################################################################
# NukeCalendar initialization 
##########################################################################
global $currentlang, $language, $lang, $prefix, $dbi, $locale;
if (isset($currentlang)) {$xlang = $currentlang;}
elseif (isset($lang)) {$xlang = $lang;}
else {$xlang = $language;}
if (file_exists("language/kalender/lang-$xlang.php")) {	include_once("language/kalender/lang-$xlang.php"); } 
else { include_once("language/kalender/lang-english.php");}

##########################################################################
# WAP Header
##########################################################################
header("Content-Type: text/vnd.wap.wml");
header("Cache-Control: no-cache, must-revalidate");	        // Prevent caching, HTTP/1.1
header("Pragma: no-cache");		                        // Prevent caching, HTTP/1.0
echo "<?xml version=\"1.0\"?>"
     ."<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.1//EN\" \"http://www.wapforum.org/DTD/wml_1.1.xml\">"
     ."<wml>"
     ."<head><meta forua=\"true\" http-equiv=\"Cache-Control\" content=\"max-age=$wapCacheSeconds\"/></head>"
     ."<card title=\""._CAL2EVENT."\">";

##########################################################################
# WAP Body - print event details
##########################################################################
global $dbi;
$result = sql_query("SELECT hometext, alldayevent, eventDate, endDate, startTime, endTime, year(eventDate), month(eventDate), dayofmonth(eventDate), hour(startTime), minute(startTime), year(endDate), month(endDate), dayofmonth(endDate), hour(endTime), minute(endTime) FROM ".$prefix."_events WHERE $eid=eid",$dbi);
list($hometext, $alldayevent, $eventDate, $endDate, $startTime, $endTime, $startYear, $startMonth, $startDay, $startHour, $startMin, $endYear, $endMonth, $endDay, $endHour, $endMin) = sql_fetch_row($result, $dbi);

// build date and time strings
$startTime = mktime($startHour, $startMin,0,$startMonth, $startDay, $startYear);
$endTime = mktime($endHour, $endMin, 0, $endMonth, $endDay, $endYear);
$dateStartFormatted = strftime(_CALSHORTDATEFORMAT, $startTime);
$dateEndFormatted = strftime(_CALSHORTDATEFORMAT, $endTime);
$timeStartFormatted = strftime(_CALTIMEFORMAT, $startTime);
$timeEndFormatted = strftime(_CALTIMEFORMAT, $endTime);

// build message

echo "<p>$hometext<br/>";
echo _CALEVENTDATETEXT.":&nbsp;&nbsp; $dateStartFormatted ";
	
if ($alldayevent) { 
	if ($dateEndFormatted != $dateStartFormatted) {
		echo "<br/>"._CALENDDATETEXT.":&nbsp;&nbsp; $dateEndFormatted<br/>";
	}
}
else {
	if ($dateEndFormatted != $dateStartFormatted) {
		echo ",&nbsp;&nbsp;$timeStartFormatted<br/>"._CALENDDATETEXT.":&nbsp;&nbsp; $dateEndFormatted<br/>";
	}
	else {
		echo ",&nbsp;&nbsp;$timeStartFormatted - $timeEndFormatted<br/>";
	}
}
echo "</p>";
      
##########################################################################
# WAP Closure
##########################################################################
echo"</card></wml>";

?>